% Plotten von Vektoren:
% Eingabe pfeil(a1,a2,b1,b2,f).
% Plottet Vektor von [a1 a2] nach [b1 b2], 
% f = Faktor, der Lnge der Pfeilspitzen definiert;
% bei Eingabe von pfeil(a1,a2,b1,b2) ist f = 0.2.

function pfeil(a1,a2,b1,b2,f)
a = [a1 a2];
b = [b1 b2];
if nargin < 5
   f = 0.2;
end
% Normalvektor auf b - a
n = [a2 - b2, b1 - a1];
% Richtung der Pfeilspitzen
rl = b - (a + n*2/5);
rr = b - (a - n*2/5);
% hintere Endpunkte der Pfeilspitzen
pl = b - f*rl/sqrt(rl*rl');
pr = b - f*rr/sqrt(rr*rr');
% Plotten
s1 = (pl(1)+b1+pr(1))/3;
s2 = (pl(2)+b2+pr(2))/3;
hold on
plot([a1 s1], [a2 s2],'k','linewidth',0.4)
patch([pl(1) b1 pr(1)],[pl(2) b2 pr(2)],'k','linewidth',0.01)