% Bemessungspunkt
clear;

%set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 5]);
%set(GCF, 'Units', 'centimeters', 'Position', [1 8 10 5]);
set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [2 4 8 6]);
set(GCF, 'Units', 'centimeters', 'Position', [1 11 8 6]);

R = 0:0.1:6;
S = 0:0.1:7;
% [r,s] = meshgrid([0:.1:7]);
[r,s] = meshgrid(R,S);

z =1/2*pi*1/0.9*0.7.*exp(-(r-2).^2./2*0.81).*exp(-(s-4.5).^2./2*0.49);
z1 =1/2*pi*1/0.9*0.7.*exp(-(r-2).^2./2*0.81).*exp(-(r-4.5).^2./2*0.49);

h=mesh(r,s,z);
hold on
%set(h,'facealpha',.5);
%shading interp
colormap cool
% colormap([.7,.7,.7])
%beta = 1; brighten(beta);
%brighten(h,beta)
h1=surf(r,r,z1);




hold on
plot3([0 6],[0 6],[0 0 ],'k','linewidth',0.5);
plot3([0 7],[0 0],[0 0],'k','linewidth',0.5)
plot3([0 0],[9 10.5],[0 0],'k',0,10.5,0,'kv','MarkerFaceColor','k')
plot3([0 0],[0 0],[0 1.25],'k','linewidth',1)
plot3([0 0],[0 0],[1.25 1.25],'k^','MarkerFaceColor','k')
plot3([7 7],[0 0],[0 0],'k^','MarkerFaceColor','k')
plot3([8.8 9.8],[0 0],[0.65 0.65],'k')
plot3([2.9 2.9],[2.9 8.3],[0 0.1],'k','linewidth',0.5)
plot3([2.5 3.3],[2.9 2.9],[0 0],'k','linewidth',0.5)
plot3([2.5 3.3],[2.9 2.9],[0.47 0.47],'k','linewidth',0.5)

hold on
text('Interpreter','latex',...
	'String','$$r=s$$',...
	'Position',[7.1,7.1,0],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$r$$',...
	'Position',[0,11.5,0],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$s$$',...
	'Position',[7.8,0,0],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$${\rm{Versagensbereich}}$$',...
	'Position',[14.1,0,1.3],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$r<s$$',...
	'Position',[14.3,0,1],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$${\rm{Bemessungspunkt}}$$',...
	'Position',[2.9,14,-0.4],...
	'FontSize',12,'HorizontalAlignment','Center')
view([49,46]);
xlabel('r');
ylabel('s');
zlabel('z');
%axis square


axis([0 8 0 11 0 1.5])
axis off
print('-depsc','p125_1')
print('-dpdf','p125_1')