% Abbildung Steinsalzkrner

DATA = [3.5	23.2
2.4	38.5
1.8	42.0
3.2	32.1
2.4	41.2
3.5	25.8
3.0	41.0
3.5	33.9
4.0	22.7
1.8	43.3
2.9	34.8
3.5	33.1
2.4	42.6
2.9	32.7
3.3	24.0
2.6	31.5
2.6	34.2
1.6	47.9
3.0	34.4
1.5	49.2
3.0	34.4
2.4	36.6
3.9	28.5
2.3	40.6
2.1	42.1
2.7	37.1
2.6	33.0
4.0	21.8
2.9	37.4
1.1 42]; % 1.1	52.1]; das sind die Werte von Stoyan - hier gendert, um Parabel deutlicher zu machen


set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 8]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 10 8]);
set(GCA, 'Fontsize', 12);

hold on

plot(4.4,20,'k>', 'Markersize',6, 'Markerfacecolor','k')
plot(1,53.5,'k^', 'Markersize',6, 'Markerfacecolor','k')

plot(DATA(:,1), DATA(:,2),'k*')


text(4.2,18,'D[mm]','fontsize',14)
text(0.7,56,'R[N/mm^2]','fontsize',14)

axis([1 4.4 20 54])
box off
hold off

print('-depsc','abbsteinsalz')
print('-dpdf','abbsteinsalz')


% Mit Regressionsgerade

figure 

[X, beta, yhat, ybar, Syy, SSE, SSR, R2] = LineareRegression(DATA(:,1),DATA(:,2));

t = 1.1:0.01:4.3;
l = beta(1) + beta(2)*t;
plot(t,l,'r','Linewidth',1.5)

set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 8]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 10 8]);
set(GCA, 'Fontsize', 12);

hold on

plot(4.4,20,'k>', 'Markersize',6, 'Markerfacecolor','k')
plot(1,53.5,'k^', 'Markersize',6, 'Markerfacecolor','k')

plot(DATA(:,1), DATA(:,2),'k*')


text(4.2,18,'D[mm]','fontsize',14)
text(0.7,56,'R[N/mm^2]','fontsize',14)
% text(5,-0.8,'L','fontsize',12)
% text(-0.5,0.7,'p_0','fontsize',12)
% text(2.2,-1,'R','fontsize',16)
% text(3.2,1.7,'S','fontsize',16)

% aapfeil(3,1.5,3,0.5,0.2)
% aapfeil(2,-1,2,-0.2,0.2)
% plot([3 3], [0.6 1.5],'k','Linewidth',2)
% plot([2 2], [-1 -0.3],'k','Linewidth',2)

axis([1 4.4 20 54])
box off
hold off

print('-depsc','abbsteinsalzL')
print('-dpdf','abbsteinsalzL')


% Mit Regressionsparabel

figure 

Xin = [DATA(:,1),DATA(:,1).^2];
[X, beta, yhat, ybar, Syy, SSE, SSR, R2] = MultipleRegression(Xin,DATA(:,2));

t = 1.1:0.01:4.3;
q = beta(1) + beta(2)*t + beta(3)*t.^2;
plot(t,q,'b','Linewidth',1.5)

set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 8]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 10 8]);
set(GCA, 'Fontsize', 12);

hold on

plot(4.4,20,'k>', 'Markersize',6, 'Markerfacecolor','k')
plot(1,53.5,'k^', 'Markersize',6, 'Markerfacecolor','k')

plot(DATA(:,1), DATA(:,2),'k*')


text(4.2,18,'D[mm]','fontsize',14)
text(0.7,56,'R[N/mm^2]','fontsize',14)
% text(5,-0.8,'L','fontsize',12)
% text(-0.5,0.7,'p_0','fontsize',12)
% text(2.2,-1,'R','fontsize',16)
% text(3.2,1.7,'S','fontsize',16)

% aapfeil(3,1.5,3,0.5,0.2)
% aapfeil(2,-1,2,-0.2,0.2)
% plot([3 3], [0.6 1.5],'k','Linewidth',2)
% plot([2 2], [-1 -0.3],'k','Linewidth',2)

axis([1 4.4 20 54])
box off
hold off

print('-depsc','abbsteinsalzQ')
print('-dpdf','abbsteinsalzQ')