% Lebensdauer

set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 7]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 10 7]);

plot([-0.5 7.5],[0 0],'k','LineWidth',1)
plot(7.5,0,'k>','MarkerFaceColor','k')
plot([0 0],[-0.5 4],'k','LineWidth',1)
plot(0,4,'k^','MarkerFaceColor','k')

t = 0:0.01:1.95;
x1 = 0.6+sin(pi*t/5)+sin(8*t)/8;
plot(t,x1,'k','linewidth',1.5);
hold on 

t = 1.95:0.01:3.15;
x2 = 0.6+sin(pi*t/5)+sin(8*t)/3;
plot(t,x2,'k','linewidth',1.5);
hold on
t = 3.15:0.01:5;
x3 = 0.6+sin(pi*t/5)+sin(8*t)/8;
plot(t,x3,'k','linewidth',1.5);
hold on

t=0:0.01:3.8;
x4=1.6+cos(pi*t/5)+cos(8*t)/14;
plot(t,x4,'b','linewidth',1.5);
hold on

t=3.8:0.01:5.38;
x5=0.0267+0.25+sin(pi*t/5)+sin(8*t)/20;
plot(t,x5,'b','linewidth',1.5);

text('Interpreter','latex',...
	'String','$$R(t)$$',...
	'Position',[1.5,2.7],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$S(t)$$',...
	'Position',[5.5,1],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$0$$',...
	'Position',[0,-0.25],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$T$$',...
	'Position',[2.42 -0.25],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$t$$',...
	'Position',[7.25 -0.25],...
	'FontSize',12,'HorizontalAlignment','Center')

plot([-0.5 7.5],[0 0],'k','LineWidth',1)
plot(7.5,0,'k>','MarkerFaceColor','k')
plot([0 0],[0 4],'k','LineWidth',1)
plot(0,4,'k^','MarkerFaceColor','k')


plot([2.42 2.42],[0,1.71255],'k','LineWidth',1)
axis equal
axis off
hold off

print('-depsc','p119')
print('-dpdf','p119')