% Sicherheitsnachweis (Normsicherheitsfaktor)

%set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 5]);
%set(GCF, 'Units', 'centimeters', 'Position', [1 8 10 5]);
set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 14 6]);
set(GCF, 'Units', 'centimeters', 'Position', [1 9 14 6]);

t = -2.5:0.01:4;
mu1=0.5;
sigmar=0.9;
sigmarqr=0.81;
trr = normpdf(0.5,0.5,0.9)
trk=normpdf(-0.95,0.5,0.9)
tr = normpdf(t,mu1,sigmar);
plot(t,tr,'k','LineWidth',2)
hold on
t = -6:0.01:0.25;
mu2=-3;
sigmas=0.7;
sigmasqr=0.49;
tss = normpdf(-3,-3,0.7)
ts = normpdf(t,mu2,sigmas);
tsk=normpdf(-1.75,-3,0.7)
plot(t,ts,'b','LineWidth',2)
hold on
plot([-7 5],[0 0],'k',5,0,'k>','MarkerFaceColor','k')
%plot([-4.5 -4.5],[-0.1 0.8],'k',-4.5,0.8,'k^','MarkerFaceColor','k')
axis([-7.5 5.5 -0.4 0.9])
hold on
plot([0.5 0.5],[0, 0.4433 ],'k--')
plot([-3 -3],[0, 0.5699 ],'k--')
plot([-0.95 -0.95],[-0.05 0.17],'k','linewidth',1.5)
plot([-1.75 -1.75],[-0.05 0.17],'k','linewidth',1.5)

text('Interpreter','latex',...
	'String','$$\mu_S$$',...
	'Position',[-3,-0.07],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$\mu_R$$',...
	'Position',[0.5,-0.07],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$S_k$$',...
	'Position',[-1.75,-0.11],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$R_k$$',...
	'Position',[-0.95,-0.11],...
	'FontSize',12,'HorizontalAlignment','Center')


axis off
print('-depsc','p128_3')
print('-dpdf','p128_3')