% Simpler Zufallsgenerator nach bung 19a), AM 2, SS 2002
% Die so definierte Folge ist bei irrationalem alpha
% gleichverteilt im Intervall [0,1]. Numerisch ist das 
% Verfahren allerdings ungeeignet - bei rationalem alpha 
% erhlt man periodische Musterbildung.

alpha =  sqrt(2);
N = 1000;

n = 1:N;
z = n*alpha;
X = z - floor(z);

meanX = mean(X)
stdX = std(X)

figure
hist(X,20);

h = findobj(gca,'Type','patch');
set(h,'FaceColor','w','Edgecolor','k'); % Histogramm schwarz-wei


% Transformation auf Normalverteilung

Y = norminv(X,0,1);

meanY = mean(Y)
stdY = std(Y)

Z = -3.8:0.4:3.8;
figure
hist(Y,Z);

h = findobj(gca,'Type','patch');
set(h,'FaceColor','w','Edgecolor','k'); % Histogramm schwarz-wei

